<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.env.input.mapper.PortWarningInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.env.input.entity.PortWarningInfo">
        <id column="id" property="id" />
        <result column="terminal_port_code" property="terminalPortCode" />
        <result column="terminal_code" property="terminalCode" />
        <result column="gatway_code" property="gatwayCode" />
        <result column="warning_type" property="warningType" />
        <result column="farm_id" property="farmId" />
        <result column="location_id" property="locationId" />
        <result column="content" property="content" />
    </resultMap>

</mapper>
